# -*- coding: utf-8 -*-
"""
Created on Sat Jan 24 11:58:27 2015

@author: Utilisateur
"""

   

import numpy as np
from matplotlib import pyplot as plt
from matplotlib import animation


def Epeff(r,t):
    return .1*9.81*r**2+np.exp(-t)*20/r**2

def energie_efficace():
    x = np.linspace(0.1, 6, 100)
    y=Epeff(x,0.02)
    plt.ylim(0,40)
    plt.plot(x,y,color='blue',linewidth=2)
    plt.show()


def Mini(t):
    return Epeff(2.1249*np.exp(-t/4.),t)
        
def frottements():    
    ma_figure=plt.figure()
    mes_axes=plt.axes(xlim=(0,6),ylim=(0,30))
    mon_graphique_1,=mes_axes.plot([],[],lw=2)
    mon_graphique_2,=mes_axes.plot([],[],lw=2)
    
    def mon_initialisation():#sans cette commande, la première courbe tracée ne s'efface pas
        mon_graphique_1.set_data([], [])
        return mon_graphique_1,
    
    
    def mon_animation(i):
        x = np.linspace(0.01, 6, 100)
        y = Epeff(x,0.02*i)
        mon_graphique_1.set_data(x, y)
        z=Mini(0.02*i)
        mon_graphique_2.set_data(x,z)
        
    a=animation.FuncAnimation(ma_figure,mon_animation,init_func=mon_initialisation,frames=100,interval=50, blit=False,repeat=True)
    plt.show()  
 


